[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetsid

Get current session ID

## Declaration

Source position: bunxh.inc line 57

`function FpGetsid(`
`pid: TPid`
`):TPid;`

## Description

FpGetsid returns the session ID of the process pid. The return value is the session ID of the process. (it equals the PID of the session leader). The process pid must be in the same session as the current process.

## Errors

On error, -1 is returned, and extended error information can be obtained with fpGetErrno.

## See also

FpGetpgrp |  | Get process group ID
FpGetpid |  | Return current process ID
FpGetPpid |  | Return parent process ID

Documentation generated on: Feb 26 2014